# EventListener : Object
Return to: HTML DOM Level 2 index

Defines an event listener or event handler.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
EventListener Constructor() : EventListener Defines an event listener or event handler. | Show Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

### EventListener() : EventListener

Defines an event listener or event handler.

Returns

EventListener |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
handleEvent(Event event) : void Called to handle the Event that the event listener was registered for. | Show Details | no | 1.0+ | 4.0+ | no | no

Parameters

Event | event | Type of event.

Returns

void |

Availability

  HTML DOM Level 2|W3C

## References

Event|EventTarget

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs